## tandem-mass 2013.06.15

=== src/Makefile ===
#makefile for c++ programs
#change the name of the executable to use for "any" project

#EXECUTABLE = ../bin/tandem.exe
EXECUTABLE = ../bin/p3.exe
LINKCC = $(CXX)

#CXXFLAGS denotes flags for the C++ compiler

CXX = g++

#uncomment this line if you are using gcc 4.x
CXXFLAGS = -O2 -DGCC4_3
#CXXFLAGS = -O2 -DGCC4_3 -DX_P3
#CXXFLAGS = -O2 -DGCC4_3 -DPLUGGABLE_SCORING -DX_P3

LDFLAGS = -lpthread -L/usr/lib -lm /usr/local/lib/libexpat.a -static-libstdc++
#LDFLAGS = -lpthread -L/usr/lib -lm /usr/local/lib/libexpat.a
#LDFLAGS = -lpthread -L/usr/lib -lm -lexpat
SRCS := $(wildcard *.cpp)
OBJS := $(patsubst %.cpp,%.o,$(wildcard *.cpp))
DEPS := $(patsubst %.o,%.d,$(OBJS))

all: $(EXECUTABLE)

#define the components of the program, and how to link them
#these components are defined as dependencies; that is they must be up-to-date before the code is linked

$(EXECUTABLE): $(DEPS) $(OBJS)
	$(LINKCC) $(CXXFLAGS) -o $(EXECUTABLE) $(OBJS) $(LDFLAGS)

#specify the dep files depend on the cpp files

%.d: %.cpp
	$(CXX) -M $(CXXFLAGS) $< > $@
	$(CXX) -M $(CXXFLAGS) $< | sed s/\\.o/.d/ > $@

clean:
	-rm $(OBJS) $(EXECUTABLE) $(DEPS) *~

explain:
	@echo "The following info represents the program:"
	@echo "Final exec name: $(EXECUTABLE)"
	@echo "Source files:       $(SRCS)"
	@echo "Object files:       $(OBJS)"
	@echo "Dep files:          $(DEPS)"

depend: $(DEPS)
	@echo "Deps are now up-to-date."
 	
-include $(DEPS)

## tandem-mass 2013.02.01.1

=== debian/changelog ===
tandem-mass (1:2013.02.01.1-1) unstable; urgency=low

  * Packaging of X!Tandem (CYCLONE 2013.02.01.1, from
    http://www.thegpm.org/TANDEM/) for Debian GNU/Linux
    (Olivier Langella <olivier.langella@laposte.net>, with the
    great help of Filippo Rusconi <lopippo@debian.org>);
  * Added and tested debian/watch file (Filippo Rusconi);
  * Added debian/upstream file (Olivier Langella);

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 07 Jun 2013 19:31:15 +0200
  

tandem-mass (20121001-2) unstable; urgency=low

  * Fix the target build-stamp by adding the $(QUILT_STAMPFN)
    dependency. This missing dependency seemingly caused problems in
    Ubuntu (as reported by Tim Gardner <tim.gardner@canonical.com>;
    Closes: #695553). Thanks Tim.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 16 Jan 2013 21:26:08 +0100

tandem-mass (20121001-1) unstable; urgency=low

  * Initial packaging of X!Tandem (CYCLONE 12-10-01-1, from
    http://www.thegpm.org/TANDEM/) for Debian GNU/Linux (in collaboration
    with Olivier Langella <olivier.langella@laposte.net>). (Closes: #693800).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 14 Nov 2012 14:46:19 +0100

=== debian/control ===
Source: tandem-mass
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7.0.50~),
               dpkg-dev (>= 1.16.1~),
               quilt (>= 0.60-2),
               libexpat1-dev (>= 2.0.1)
Homepage: http://www.thegpm.org/TANDEM/
Vcs-Git: git://git.debian.org/git/debichem/packages/tandem-mass.git
Vcs-Browser: http://git.debian.org/?p=debichem/packages/tandem-mass.git

Package: tandem-mass
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mass spectrometry software for protein identification
 X! Tandem can match tandem mass spectra with peptide sequences, in a
 process that is commonly used to perform protein identification.
 .
 This software has a very simple, unsophisticated application
 programming interface (API): it simply takes an XML file of
 instructions on its command line, and outputs the results into an XML
 file, which has been specified in the input XML file. The output file
 format is described at
 \fI`http://www.thegpm.org/docs/X_series_output_form.pdf'\fR.
 .
 Unlike some earlier generation search engines, all of the X! Series
 search engines calculate statistical confidence (expectation values)
 for all of the individual spectrum-to-sequence assignments. They also
 reassemble all of the peptide assignments in a data set onto the
 known protein sequences and assign the statistical confidence that
 this assembly and alignment is non-random. The formula for which can
 be found here. Therefore, separate assembly and statistical analysis
 software, e.g. PeptideProphet and ProteinProphet, do not need to be
 used.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.

# There are patches in the source package
include /usr/share/quilt/quilt.make

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

# Hardening stuff, see http://wiki.debian.org/Hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

.PHONY: build
build: build-stamp


build-stamp: $(QUILT_STAMPFN)
	dh_testdir
	dh_prep

# Proper Makefile settings have been defined in src/Makefile_ubuntu
# with a corresponding patch.

	cd src && $(MAKE) -f Makefile_ubuntu

	touch build-stamp


.PHONY: clean
clean: unpatch
	dh_testdir
	dh_testroot
	dh_clean 

	rm -f bin/tandem
	rm -f src/*.d src/*.o

	rm -f build-stamp


.PHONY: build-indep
build-indep:
# We have nothing to do by default.


.PHONY: build-arch
build-arch: build


# Build architecture-independent files here.
.PHONY: binary-indep
binary-indep: build-indep
# We have nothing to do by default.


# Build architecture-dependent files here.
.PHONY: binary-arch
binary-arch: build-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


.PHONY: binary
binary: binary-indep binary-arch

=== debian/watch ===
version=3
opts="uversionmangle=s/^(\d+)-(\d+)-(\d+)-(\d+)/20$1\.$2.$3.$4/" \
ftp://ftp.thegpm.org/projects/tandem/source/tandem-linux-(\d{1,2}-\d{1,2}-\d{1,2}-\d).zip

## tandem-mass 2013.06.15

=== debian/changelog ===
tandem-mass (1:2013.06.15-1) unstable; urgency=low

  * quilt dependencies removed from rules. quilt is now used the modern
    way as decribed in http://pkg-perl.alioth.debian.org/howto/quilt.html

  * Packaging of X!Tandem (JACKHAMMER 2013.06.15, from
    http://www.thegpm.org/TANDEM/) for Debian GNU/Linux
    (Olivier Langella <Olivier.Langella@moulon.inra.fr>, with the
    great help of Filippo Rusconi <lopippo@debian.org>);

  * Upload by Filippo Rusconi <lopippo@debian.org>;

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Thu, 29 Aug 2013 12:21:32 +0200

## tandem-mass 2013.09.01

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #makefile for c++ programs
 #change the name of the executable to use for "any" project
 
-#EXECUTABLE = ../bin/tandem.exe
-EXECUTABLE = ../bin/p3.exe
+EXECUTABLE = ../bin/tandem.exe
+#EXECUTABLE = ../bin/p3.exe
 LINKCC = $(CXX)
 
 #CXXFLAGS denotes flags for the C++ compiler
@@ -14,9 +14,9 @@
 #CXXFLAGS = -O2 -DGCC4_3 -DX_P3
 #CXXFLAGS = -O2 -DGCC4_3 -DPLUGGABLE_SCORING -DX_P3
 
-LDFLAGS = -lpthread -L/usr/lib -lm /usr/local/lib/libexpat.a -static-libstdc++
+#LDFLAGS = -lpthread -L/usr/lib -lm /usr/local/lib/libexpat.a -static-libstdc++
 #LDFLAGS = -lpthread -L/usr/lib -lm /usr/local/lib/libexpat.a
-#LDFLAGS = -lpthread -L/usr/lib -lm -lexpat
+LDFLAGS = -lpthread -L/usr/lib -lm -lexpat
 SRCS := $(wildcard *.cpp)
 OBJS := $(patsubst %.cpp,%.o,$(wildcard *.cpp))
 DEPS := $(patsubst %.o,%.d,$(OBJS))

=== debian/changelog ===
tandem-mass (1:2013.09.01-2) unstable; urgency=medium

  * mv upstream upstream/metadata;

  * Bump up StandardsVersion to 3.9.5.
  
 -- Filippo Rusconi <lopippo@debian.org>  Mon, 18 Aug 2014 10:47:26 +0200

tandem-mass (1:2013.09.01-1) unstable; urgency=low

  * Packaging of X!Tandem (SLEDGEHAMMER 2013.09.01, from
    http://www.thegpm.org/tandem/) for Debian GNU/Linux
    (Olivier Langella <Olivier.Langella@moulon.inra.fr>, with the
    great help of Filippo Rusconi <lopippo@debian.org>);

  * Upload by Filippo Rusconi <lopippo@debian.org>.

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Fri, 22 Nov 2013 10:21:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 7.0.50~),
                dpkg-dev (>= 1.16.1~),
-               quilt (>= 0.60-2),
                libexpat1-dev (>= 2.0.1)
 Homepage: http://www.thegpm.org/TANDEM/
-Vcs-Git: git://git.debian.org/git/debichem/packages/tandem-mass.git
-Vcs-Browser: http://git.debian.org/?p=debichem/packages/tandem-mass.git
+Vcs-Git: git://anonscm.debian.org/debichem/packages/tandem-mass.git
+Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/tandem-mass.git
+
 
 Package: tandem-mass
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 # -*- makefile -*-
 # Sample debian/rules that uses debhelper.
 # This file was originally written by Joey Hess and Craig Small.
-
-# There are patches in the source package
-include /usr/share/quilt/quilt.make
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -16,11 +13,16 @@
 CFLAGS+=$(CPPFLAGS)
 CXXFLAGS+=$(CPPFLAGS)
 
+# applying quilt the modern way (http://pkg-perl.alioth.debian.org/howto/quilt.html)
+%:
+	dh $@
+
+
 .PHONY: build
 build: build-stamp
 
 
-build-stamp: $(QUILT_STAMPFN)
+build-stamp: 
 	dh_testdir
 	dh_prep
 
@@ -33,7 +35,7 @@
 
 
 .PHONY: clean
-clean: unpatch
+clean: 
 	dh_testdir
 	dh_testroot
 	dh_clean

## tandem-mass 20121001

=== debian/changelog ===
tandem-mass (20121001-2ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Remove bin/*.exe at clean time to ensure Windows binaries
      don't get shipped in any form.

 -- Logan Rosen <logatronico@gmail.com>  Thu, 21 Feb 2013 14:54:41 -0500

tandem-mass (20121001-1ubuntu2) raring; urgency=low

  * Revert previous change to debian/tandem-mass.install.
    Ensure patch series is applied by making the debian/rules build-stamp
    target dependent on patch.
  * Remove bin/*.exe at clean time to ensure Windows binaries don't get
    shipped in any form.

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 16 Jan 2013 16:39:31 +0000

tandem-mass (20121001-1ubuntu1) raring; urgency=low

  * Copy the correct binary in debian/tandem-mass.install

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 09 Jan 2013 20:32:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: tandem-mass
 Section: science
 Priority: optional
-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7.0.50~),
                dpkg-dev (>= 1.16.1~),
+               quilt (>= 0.60-2),
                libexpat1-dev (>= 2.0.1)
 Homepage: http://www.thegpm.org/TANDEM/
-Vcs-Git: git://anonscm.debian.org/debichem/packages/tandem-mass.git
-Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/tandem-mass.git
-
+Vcs-Git: git://git.debian.org/git/debichem/packages/tandem-mass.git
+Vcs-Browser: http://git.debian.org/?p=debichem/packages/tandem-mass.git
 
 Package: tandem-mass
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 # -*- makefile -*-
 # Sample debian/rules that uses debhelper.
 # This file was originally written by Joey Hess and Craig Small.
+
+# There are patches in the source package
+include /usr/share/quilt/quilt.make
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -13,16 +16,11 @@
 CFLAGS+=$(CPPFLAGS)
 CXXFLAGS+=$(CPPFLAGS)
 
-# applying quilt the modern way (http://pkg-perl.alioth.debian.org/howto/quilt.html)
-%:
-	dh $@
-
-
 .PHONY: build
 build: build-stamp
 
 
-build-stamp: 
+build-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 	dh_prep
 
@@ -35,12 +33,12 @@
 
 
 .PHONY: clean
-clean: 
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	dh_clean 
 
-	rm -f bin/tandem
+	rm -f bin/tandem bin/*.exe
 	rm -f src/*.d src/*.o
 
 	rm -f build-stamp

## tandem-mass 20151215

=== src/Makefile ===
--- 
+++ 
@@ -14,8 +14,8 @@
 #CXXFLAGS = -O2 -DGCC4_3 -DX_P3
 #CXXFLAGS = -O2 -DGCC4_3 -DPLUGGABLE_SCORING -DX_P3
 
-#LDFLAGS = -lpthread -L/usr/lib -lm /usr/local/lib/libexpat.a -static-libstdc++
-#LDFLAGS = -lpthread -L/usr/lib -lm /usr/local/lib/libexpat.a
+#LDFLAGS = -lpthread -L/usr/lib -lm /usr/lib64/libexpat.a -static-libstdc++
+#LDFLAGS = -lpthread -L/usr/lib -lm /usr/lib64/libexpat.a
 LDFLAGS = -lpthread -L/usr/lib -lm -lexpat
 SRCS := $(wildcard *.cpp)
 OBJS := $(patsubst %.cpp,%.o,$(wildcard *.cpp))

=== debian/changelog ===
tandem-mass (1:20151215-4) unstable; urgency=medium

  * debian/control: fix the URL that describes the format (thanks to Daniele
    Forsi <dforsi@gmail.com>) Closes: #819432.

  * fix various packaging issues as detected by lintian.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 29 Mar 2016 09:31:24 +0200

tandem-mass (1:20151215-3) unstable; urgency=medium

  * debian/copyright: add MIT licence for files expat* files.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 20 Mar 2016 10:58:33 +0100

tandem-mass (1:20151215-2) unstable; urgency=medium

  * debian/copyright: add Apache licence for files MSNumpress.{cpp,hpp}
  * debian/control: Bump up StandardsVersion to 3.9.7, no changes required.
 
 -- Filippo Rusconi <lopippo@debian.org>  Fri, 18 Mar 2016 19:01:23 +0100

tandem-mass (1:20151215-1) unstable; urgency=medium

  * New upstream version (VENGEANCE 2015.12.15);
  * Initial packaging by Olivier Langella <Olivier.Langella@moulon.inra.fr>;
  * Added canonical support for debug symbols in tandem-mass-dbg.
  * Upload by Filippo Rusconi <lopippo@debian.org>.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 07 Mar 2016 21:34:08 +0100

tandem-mass (1:20150401-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: adapt format to specification
  * d/control:  Standards-Version: 3.9.6; no changes required.
  * d/control: s/git/cgit/ in Vcs-Browser.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 03 Nov 2015 18:42:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: tandem-mass
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
+Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7.0.50~),
+Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 9.20130630),
                dpkg-dev (>= 1.16.1~),
-               quilt (>= 0.60-2),
                libexpat1-dev (>= 2.0.1)
 Homepage: http://www.thegpm.org/TANDEM/
-Vcs-Git: git://git.debian.org/git/debichem/packages/tandem-mass.git
-Vcs-Browser: http://git.debian.org/?p=debichem/packages/tandem-mass.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/tandem-mass.git
+
 
 Package: tandem-mass
 Architecture: any
@@ -25,7 +23,7 @@
  instructions on its command line, and outputs the results into an XML
  file, which has been specified in the input XML file. The output file
  format is described at
- \fI`http://www.thegpm.org/docs/X_series_output_form.pdf'\fR.
+ http://www.thegpm.org/docs/X_series_output_form.pdf.
  .
  Unlike some earlier generation search engines, all of the X! Series
  search engines calculate statistical confidence (expectation values)
@@ -36,3 +34,31 @@
  be found here. Therefore, separate assembly and statistical analysis
  software, e.g. PeptideProphet and ProteinProphet, do not need to be
  used.
+
+Package: tandem-mass-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${misc:Depends}, tandem-mass (= ${binary:Version})
+Description: mass spectrometry software for protein identification - debug symbols
+ X! Tandem can match tandem mass spectra with peptide sequences, in a
+ process that is commonly used to perform protein identification.
+ .
+ This software has a very simple, unsophisticated application
+ programming interface (API): it simply takes an XML file of
+ instructions on its command line, and outputs the results into an XML
+ file, which has been specified in the input XML file. The output file
+ format is described at
+ http://www.thegpm.org/docs/X_series_output_form.pdf
+ .
+ Unlike some earlier generation search engines, all of the X! Series
+ search engines calculate statistical confidence (expectation values)
+ for all of the individual spectrum-to-sequence assignments. They also
+ reassemble all of the peptide assignments in a data set onto the
+ known protein sequences and assign the statistical confidence that
+ this assembly and alignment is non-random. The formula for which can
+ be found here. Therefore, separate assembly and statistical analysis
+ software, e.g. PeptideProphet and ProteinProphet, do not need to be
+ used.
+ .
+ This package provides the debugging symbols for tandem-mass.

## tandem-mass 20170201.1

=== debian/changelog ===
tandem-mass (1:20170201.1-1) unstable; urgency=low

  * debian/control: add secure vcs-git url.
                    StandardsVersion : 4.0.0 (no changes)
                    debian/compat set to 9
                    removed the dbg binary package stanza: 
                    thus, set debhelper (>= 9.20151219)

  * debian/patches: add patch to fix pointer vs integer comparison (gcc
    7-spotted).

 	* successful test of the patch by Olivier Langella
  	<olivier.langella@u-psud.fr>.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 22 Aug 2017 15:36:59 +0200

tandem-mass (1:20170201-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * import of the lates X\!Tandem (ALANINE (2017.02.01)) sources from
    ftp://ftp.thegpm.org/projects/tandem/source/tandem-linux-17-02-01-
    4.zip

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 17 Aug 2017 10:51:38 +0200

tandem-mass (1:20151215-5) unreleased; urgency=low

  * debian/control: add vcs-git secure url.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 01 Sep 2016 11:19:14 +0200

=== debian/control ===
Source: tandem-mass
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Standards-Version: 4.0.0
Build-Depends: debhelper (>= 9.20151219),
               dpkg-dev (>= 1.16.1~),
               libexpat1-dev (>= 2.0.1)
Homepage: http://www.thegpm.org/TANDEM/
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/tandem-mass.git
Vcs-Git: https://anonscm.debian.org/cgit/debichem/packages/tandem-mass.git


Package: tandem-mass
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mass spectrometry software for protein identification
 X! Tandem can match tandem mass spectra with peptide sequences, in a
 process that is commonly used to perform protein identification.
 .
 This software has a very simple, unsophisticated application
 programming interface (API): it simply takes an XML file of
 instructions on its command line, and outputs the results into an XML
 file, which has been specified in the input XML file. The output file
 format is described at
 http://www.thegpm.org/docs/X_series_output_form.pdf.
 .
 Unlike some earlier generation search engines, all of the X! Series
 search engines calculate statistical confidence (expectation values)
 for all of the individual spectrum-to-sequence assignments. They also
 reassemble all of the peptide assignments in a data set onto the
 known protein sequences and assign the statistical confidence that
 this assembly and alignment is non-random. The formula for which can
 be found here. Therefore, separate assembly and statistical analysis
 software, e.g. PeptideProphet and ProteinProphet, do not need to be
 used.

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 # -*- makefile -*-
 # Sample debian/rules that uses debhelper.
 # This file was originally written by Joey Hess and Craig Small.
-
-# There are patches in the source package
-include /usr/share/quilt/quilt.make
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -16,11 +13,16 @@
 CFLAGS+=$(CPPFLAGS)
 CXXFLAGS+=$(CPPFLAGS)
 
+# applying quilt the modern way (http://pkg-perl.alioth.debian.org/howto/quilt.html)
+%:
+	dh $@
+
+
 .PHONY: build
 build: build-stamp
 
 
-build-stamp: $(QUILT_STAMPFN)
+build-stamp: 
 	dh_testdir
 	dh_prep
 
@@ -33,12 +35,12 @@
 
 
 .PHONY: clean
-clean: unpatch
+clean: 
 	dh_testdir
 	dh_testroot
 	dh_clean 
 
-	rm -f bin/tandem bin/*.exe
+	rm -f bin/tandem
 	rm -f src/*.d src/*.o
 
 	rm -f build-stamp
@@ -70,7 +72,7 @@
 	dh_install
 	dh_installman
 	dh_lintian
-	dh_strip
+	dh_strip -a
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## tandem-mass 201702011

=== src/Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 #CXXFLAGS = -O2 -DGCC4_3 -DPLUGGABLE_SCORING -DX_P3
 
 #LDFLAGS = -lpthread -L/usr/lib -lm /usr/lib64/libexpat.a -static-libstdc++
-#LDFLAGS = -lpthread -L/usr/lib -lm /usr/lib64/libexpat.a
-LDFLAGS = -lpthread -L/usr/lib -lm -lexpat
+LDFLAGS = -lpthread -L/usr/lib -lm /usr/lib64/libexpat.a
+#LDFLAGS = -lpthread -L/usr/lib -lm -lexpat
 SRCS := $(wildcard *.cpp)
 OBJS := $(patsubst %.cpp,%.o,$(wildcard *.cpp))
 DEPS := $(patsubst %.o,%.d,$(OBJS))

=== debian/changelog ===
tandem-mass (1:201702011-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:59:16 +0100

tandem-mass (1:201702011-1) unstable; urgency=low

  * Exactly same package as the previous one that could not be uploaded
    because the package version number was not greater than the former NMU one
    (of version 1:20170201-0.1).

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 18 Nov 2018 09:00:11 +0100

tandem-mass (1:20170201-2) unstable; urgency=low

  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    Helmut Grohne <helmut@subdivi.de>  Sun, 14 Oct 2018 21:26:59 +0200
    (Closes: #911021).

  * Update Vcs fields to match salsa locations.

  * Update StandardsVersion to 4.2.1.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 17 Nov 2018 20:09:58 +0100

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # Proper Makefile settings have been defined in src/Makefile_ubuntu
 # with a corresponding patch.
 
-	cd src && $(MAKE) -f Makefile_ubuntu
+	dh_auto_build --sourcedirectory=src --buildsystem=makefile -- -f Makefile_ubuntu
 
 	touch build-stamp
